#!/bin/bash

package=cmake
version=-3.16.5

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXT_MARS ../.. $*

prefix=$GEXT_MARS_INSTALLED

#export CFLAGS="$CFLAGS -I$GEXT_MARS_INSTALLED/include"
#export CPPFLAGS="$CPPFLAGS -I$GEXT_MARS_INSTALLED/include"
#export CXXFLAGS="$CXXFLAGS -I$GEXT_MARS_INSTALLED/include"
#export LDFLAGS="$LDFLAGS -L$GEXT_MARS_INSTALLED/lib"
#export LD_LIBRARY_PATH="$GEXT_MARS_INSTALLED/lib"

opt_run_untar $force_untar $auto_untar $package $version

#opt_run_configure $force_config $auto_config $package $version $prefix 
if [ $force_config = "1" ] ; then
    echo "[pushd $package$version]"
    ( cd $package$version ; \
      echo $CROSSCONFIGURE_VARS ./bootstrap --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ ; \
      eval $CROSSCONFIGURE_VARS ./bootstrap --prefix="$prefix" $CROSSCONFIGURE_ARGS $@ )
    if [ $? != 0 ] ; then
        echo "      Error encountered running *configure* stage of $progname"
        exit 1
    fi
    echo "[popd]"
  else
    if [ $auto_config = "1" ] ; then
      echo "Found top-level for ${progname%.*} => no need to run ./configure"
    fi
fi


opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
